html {
  position: relative;
  min-height: 100%;
}
body {
  /* Margin bottom by footer height */
  margin-bottom: 0px;
}
.footer {
  /* position: absolute;
  bottom: 0; */
  width: 100%;
  /* Set the fixed height of the footer here */
  height: 30px;
  background-image: -webkit-linear-gradient(top,#fff 0,#f8f8f8 100%);
  background-image: -o-linear-gradient(top,#fff 0,#f8f8f8 100%);
  background-image: -webkit-gradient(linear,left top,left bottom,from(#fff),to(#f8f8f8));
  background-image: linear-gradient(to bottom,#fff 0,#f8f8f8 100%);
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffffff', endColorstr='#fff8f8f8', GradientType=0);
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(enabled=false);
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 0 rgb(255 255 255 / 15%), 0 1px 5px rgb(0 0 0 / 8%);
  box-shadow: inset 0 1px 0 rgb(255 255 255 / 15%), 0 1px 5px rgb(0 0 0 / 8%);
}